予測に使用できる Google オーディエンス(ユーザーの興味 / 関心)を取得します。
HTTP リクエスト
GET https://displayvideo.googleapis.com/v5/advertisers/{advertiserId}/reachForecast:retrievePlannableUserInterests
この URL は gRPC Transcoding 構文を使用します。
パスパラメータ
| パラメータ | |
|---|---|
advertiserId |
必須。プランニング可能なユーザーの興味 / 関心を一覧表示する広告主の ID。 |
クエリ パラメータ
| パラメータ | |
|---|---|
productCategory |
必須。プランニング可能なユーザーの興味 / 関心を取得する商品カテゴリ。 |
リクエストの本文
リクエストの本文は空にする必要があります。
レスポンスの本文
reachForecast.retrievePlannableUserInterests のレスポンス。
成功した場合、レスポンスの本文には次の構造のデータが含まれます。
| JSON 表現 |
|---|
{
"plannableUserInterests": [
{
object ( |
| フィールド | |
|---|---|
plannableUserInterests[] |
プランニング可能なユーザーの興味 / 関心(Google オーディエンス)のリスト。 |
認可スコープ
次の OAuth スコープが必要です。
https://www.googleapis.com/auth/display-video
詳細については、OAuth 2.0 Overview をご覧ください。
PlannableUserInterest
ターゲティングに使用される、プランニング可能なユーザーの興味 / 関心。
| JSON 表現 |
|---|
{
"userInterestDisplayName": string,
"userInterestPath": string,
"userInterestType": string,
"userInterest": {
object ( |
| フィールド | |
|---|---|
userInterestDisplayName |
出力専用。興味 / 関心の表示名(例: 「アウトドア愛好家」)。 |
userInterestPath |
出力専用。インタレストのカテゴリパス。 |
userInterestType |
出力専用。オーディエンスのタイプ(例: 「AFFINITY」、「IN_MARKET」)。 |
userInterest |
出力専用。ユーザーのインタレストの識別子。 リクエストで指定された [productCategory][] によって、オブジェクトに入力されるフィールドが決まります。
|
UserInterest
ユーザーの興味 / 関心の識別子。
| JSON 表現 |
|---|
{ "userInterestCategory": string, "userInterestUserList": string } |
| フィールド | |
|---|---|
userInterestCategory |
出力専用。インタレスト カテゴリのリソース名。 |
userInterestUserList |
出力専用。ユーザーリストのリソース名。 |